Package: org.grails.cli.profile

## [Groovy] Interface Step

-     interface Step

  Represents a step within a Command. Commands are made up of 1 or many steps.

  Authors:
    Graeme Rocher
  Since:
    3.0

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `abstract Command` | `getCommand()` Returns: The command that this step is part of
    `` | `abstract java.lang.String` | `getName()` Returns: The name of the step
    `` | `abstract java.util.Map<java.lang.String, java.lang.Object>` | `getParameters()` Returns: The parameters to the step
    `` | `abstract boolean` | `handle(ExecutionContext context)` Handles the command logic

- - ### Method Detail

    - #### abstract Command getCommand()

      Returns:
        The command that this step is part of

    - #### abstract java.lang.String getName()

      Returns:
        The name of the step

    - #### abstract java.util.Map<java.lang.String, java.lang.Object> getParameters()

      Returns:
        The parameters to the step

    - #### abstract boolean handle(ExecutionContext context)

      Handles the command logic

      Parameters:
        `context` - The ExecutionContext instead
      Returns:
        True if the command should proceed to the next step, false otherwise